<?php

/**
 * Classroom.class.php
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * @author Heiko Dostert <dosterth@uni-trier.de>
 * @package portaLE
 * @copyright Universitt Trier, Koordinationsstelle E-Learning, 2010
 * @version 1.0.0
 * @version 1.0.2 - 22.11.2010 - Jrg Rpke <roepke@uni-trier.de>
 * @version 1.1.0 - 01.03.2011 - Paul C. Sommerhoff <somm4702@uni-trier.de>
 */

require_once dirname(__FILE__) . '/OmGateway.class.php';
require_once dirname(__FILE__) . '/Timetable.class.php';

class Classroom
{
	public
		$id, 	
		$title,
		$server,
		$rooms_id,
		$roomtype,
		$teacher,
		$date,
		$length,
		$numberOfParticipants,
		$recordings,
		$waitingroomClosed,
		$timeline,
		$group;

	public function __construct($id, $title, $server, $rooms_id, $roomtype, $teacher, $date, $length, $numberOfParticipants, $recordings=NULL, $timeline=NULL, $waitingroomClosed=false, $group){
		$this->id = $id;
		$this->title=$title;
		if(empty($this->title))
			$this->title = "Kein Titel";
		$this->server=$server;
		$this->rooms_id=$rooms_id;
		$this->roomtype = $roomtype;
		$this->teacher=$teacher;
		$this->date=$date;
		$this->length=$length;
		$this->numberOfParticipants=$numberOfParticipants;
		$this->recordings=$recordings;
		$this->timeline=$timeline;
		$this->waitingroomClosed = $waitingroomClosed;
		$this->group = $group;
	}
	


	static function enter($user, $isModerator, $id)
	{
		$classroom = Timetable::getRoomById($id);
		if($classroom === false)
			return false;
		$server = new OmGateway($classroom->server, $classroom->rooms_id);
		$ticket = $server->createUserAndGenerateRoomHash($user->getGivenname(), $user->getSurname(), $isModerator?1:0, $user->getUsername());
		return $ticket;
	}
	
	
	static function kickAll($id){
		$classroom = Timetable::getRoomById($id);
		if($classroom === false)
			return false;
		$server = new OmGateway($classroom->server, $classroom->rooms_id);
		$ticket = $server->kickAll();		
	}

}
?>